'use strict';

var chalk = require('chalk');

var DefaultReporter = function(lints) {
  this.lints = lints
};

DefaultReporter.prototype.report = function() {
  var report = [];

  this.lints.forEach(function(lint){
    
    var message = [];

    message.push(chalk.cyan(lint.filename) + ':' + chalk.magenta(lint.location.line));
    message.push(lint.error ? chalk.red('[E]') : chalk.yellow('[W]'));
    message.push(chalk.green(lint.linter.name + ':') + ' ' + lint.description);

    report.push(message.join(' '));
  });

  return report.join('\n');
};

module.exports = DefaultReporter;

// var Reporter = new DefaultReporter([
//   {filename: 'holler.js', description: 'Not happening dog baby', location: {line: 2}, linter: {name: 'swag'}}
// ]);
//
// console.log(Reporter.reportLints());
