'use strict';

var utils = require('./utils');

var Runner = function(config) {

  var self = this;

  self.config = config;
  self.lints = [];
  self.linters = require('./linter');

  this.findLints = function(file) {
    for(var linter in self.linters) {
      self.linters[linter].forEach(function(visit){
        var lints = visit(file);
        if (!utils.isArray(lints)) {
          lints = [lints];
        }
        self.lints.push.apply(self.lints, lints);
      });
    }
  };

};

Runner.prototype.run = function(files) {
  var self = this;

  if (files.length === 0) {
    throw new Error('NoFilesError');
  }

  files.forEach(function(file){
    self.findLints(file);
  });
};

module.exports = Runner;
